#ifndef LEAF_H
#define LEAF_H

class Leaf
{
	public :
    	int  vertsLeaf[4];// Array of pointers to vertices
		float  normal[3];
		float  parentLeafCount;
		float center[3];
		int parent;
		int childLeft;
		int childRight;
		int visible;
		int root;

		bool exists;
		int leafNear;
		float dist;
		long int leafCop;
		float coplanar;
		float criteria;
		long int leafCrit;
		
		// Identifiers of the triangles forming this leaf
		long int idTriangle[2];
		
	public :
		// Constructors
		Leaf (void); // default constructor
		Leaf (const Leaf&); // Copy constructor
		virtual ~Leaf (void); // Destructor

		float Distance (Leaf&);
		float Coplanarity (Leaf&);
};

#endif